---
title: Widgets
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Widgets
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Widgets

Create, read, update, and delete saved widgets. Widgets are reusable visualization components stored independently from any dashboard or notebook, partitioned by experience type and identified by a UUID.

## [Create a widget →](https://docs.datadoghq.com/api/latest/widgets/create-a-widget.md){% #create-a-widget %}

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/widgets/{experience_type} |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/widgets/{experience_type} |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/widgets/{experience_type}      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/widgets/{experience_type}      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/widgets/{experience_type}  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/widgets/{experience_type} |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/widgets/{experience_type}     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/widgets/{experience_type} |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/widgets/{experience_type} |

## [Get a widget →](https://docs.datadoghq.com/api/latest/widgets/get-a-widget.md){% #get-a-widget %}

| Datadog site      | API endpoint                                                              |
| ----------------- | ------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/widgets/{experience_type}/{uuid}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/widgets/{experience_type}/{uuid}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/widgets/{experience_type}/{uuid}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/widgets/{experience_type}/{uuid}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |

## [Update a widget →](https://docs.datadoghq.com/api/latest/widgets/update-a-widget.md){% #update-a-widget %}

| Datadog site      | API endpoint                                                              |
| ----------------- | ------------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/widgets/{experience_type}/{uuid}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/widgets/{experience_type}/{uuid}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/widgets/{experience_type}/{uuid}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/widgets/{experience_type}/{uuid}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |

## [Delete a widget →](https://docs.datadoghq.com/api/latest/widgets/delete-a-widget.md){% #delete-a-widget %}

| Datadog site      | API endpoint                                                                 |
| ----------------- | ---------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/widgets/{experience_type}/{uuid}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/widgets/{experience_type}/{uuid}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/widgets/{experience_type}/{uuid}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/widgets/{experience_type}/{uuid}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/widgets/{experience_type}/{uuid} |

## [Search widgets →](https://docs.datadoghq.com/api/latest/widgets/search-widgets.md){% #search-widgets %}

| Datadog site      | API endpoint                                                       |
| ----------------- | ------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/widgets/{experience_type} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/widgets/{experience_type} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/widgets/{experience_type}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/widgets/{experience_type}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/widgets/{experience_type}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/widgets/{experience_type} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/widgets/{experience_type}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/widgets/{experience_type} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/widgets/{experience_type} |
